(function(window, undefined){
	"use strict";

var Bad = function(image, group, count)
{
	Sprite.apply(this, [
		image,
		new Vect(
			mouse.pos.x - 40,
			mouse.pos.y + 30
		)
	]);
	
	this.group = group;
    this.count = count;
	
	var self = this;
	this.easing = new Ease(this, 700, {alpha:0},function()
	{
		self.remove.apply(self);
	});
    this.text = new Text(
        "" + count,
        new Rect(new Vect(this.rect.pos.x + 22, this.rect.pos.y + 38 + 20))
    );
    this.text.style.font = 'bold 28px sans-serif';
    this.text.style.fillStyle = '#f33';
    
}
Bad.prototype = new Sprite();
Bad.prototype.constructor = Sprite;
Bad.prototype.remove = function(canvas)
{
	this.group.splice(this.group.indexOf(this), 1);
}
Bad.prototype.update = function(delta)
{
	if (this.easing) this.easing.update(delta);
}
Bad.prototype.draw = function(canvas)
{
    Sprite.prototype.draw.apply(this, [canvas]);
    this.text.draw(canvas);
}

window.Bad = Bad;

})(window);
