(function(window, undefined){
	"use strict";

var Button = function(image, pos, callback)
{
	Sprite.apply(this, [
		image,
		pos
	]);
	
	this.callback = callback;
	
	this.enable = true;
	
	/*var self = this;
	this._mousedown = function(){self.mousedown.apply(self)};
	document.body.addEventListener(
		"mousedown",
		this._mousedown
	);*/
}
Button.prototype = new Sprite();
Button.prototype.constructor = Sprite;
Button.prototype._onImageLoad = function()
{
	this.rect = new Rect(
		this._pos,
		new Vect(Math.floor(this.img.width/3), this.img.height)
	);
};
Button.prototype.draw = function(canvas)
{
	Sprite.prototype.draw.apply(this, [canvas]);
	
	// is over
	if (this.enable && this.rect && this.rect.collidePoint(mouse.pos))
	{
		// is mouse pressed
		if (mouse.pressed)
		{
			this.anim_column = 2;
		}
		// is mouse up
		else
		{
			if (this.anim_column == 2 && this.callback)
			{
				//console.log('1 auto');
				//canvas_elem.style.cursor = 'auto';
				this.callback();
			}
			else
			{
				//console.log('2 poinmter');
				this.anim_column = 1;
				//canvas_elem.style.cursor = 'pointer';
			}
		}
	}
	else
	{
		//console.log('3 auto');
		//canvas_elem.style.cursor = 'auto';
		this.anim_column = 0;
	}
}
/*Button.prototype.mousedown = function(e)
{
	if (this.callback && this.rect && this.rect.collidePoint(mouse.pos))
	{
		this.callback();
	}
}*/
Button.prototype.destroy = function()
{
	document.body.removeEventListener("mousedown", this._mousedown);
}

window.Button = Button;

})(window);
