(function(window, undefined){
    "use strict";

window.ads = {
    is_init: false,
    banner_key: null
};

/*window.ads.init = function(banner_key)
{
    if (window.admobAd)
    {
        try {
            window.ads.banner_key = banner_key;
            admobAd.initBanner(
                window.ads.banner_key,
                admobAd.AD_SIZE.BANNER.width,
                admobAd.AD_SIZE.BANNER.height
            );

            // force DL one
            //admobAd.showBanner(admobAd.AD_POSITION.TOP_CENTER);
            //admobAd.hideBanner();

            window.ads.is_init = true;
        } catch (e) {
            console.log("Error while loading admobAd module", e);
        }
    }
    else
    {
        console.log("Could not load admobAd module");
    }
};

window.ads.show_banner = function()
{
    if (window.ads.is_init)
    {
        try
        {
            admobAd.showBanner(admobAd.AD_POSITION.TOP_CENTER);
        }
        catch (e)
        {
            console.log("Could not show ads", e);
        }
    }
    else
    {
        console.log("Can't show ads, ads are not init");
    }

};

window.ads.hide_banner = function()
{
    try
    {
        admobAd.hideBanner();
    }
    catch (e)
    {
        console.log("Could not hide ads", e);
    }
};*/

window.ads.init = function(banner_key)
{
    if (window.AdMob)
    {
        try {
            window.ads.banner_key = banner_key;
            AdMob.createBanner({
                adId: window.ads.banner_key,
                position: AdMob.AD_POSITION.TOP_CENTER,
                autoShow: false
            });

            window.ads.is_init = true;
        } catch (e) {
            console.log("Error while loading admobAd module", e);
        }
    }
    else if (window.admob)
    {
        try {
            admob.initAdmob(window.ads.banner_key, window.ads.banner_key);
            window.ads.is_init = true;
        } catch (e) {
            console.log("Error while loading admob module", e);
        }
    }
    else
    {
        console.log("Could not load admobAd module");
    }
};

window.ads.show_banner = function()
{
    if (window.ads.is_init)
    {
        try
        {
            if (window.AdMob)
                window.AdMob.showBanner();
            else if (window.admob)
                admob.showBanner(admob.BannerSize.BANNER,admob.Position.TOP_APP);
        }
        catch (e)
        {
            console.log("Could not show ads", e);
        }
    }
    else
    {
        console.log("Can't show ads, ads are not init");
    }

};

window.ads.hide_banner = function()
{
    try
    {
        if (window.AdMob)
            window.AdMob.hideBanner();
        else if (window.admob)
            window.admob.hideBanner();
    }
    catch (e)
    {
        console.log("Could not hide ads", e);
    }
};


})(window);
