(function(window, undefined){
    "use strict";

var Score = function()
{
    this.INCR_VAL = 1;
    this.INCR_VAL_BONUS = this.INCR_VAL*2;

    Text.apply(this, [
        '0',
        new Rect(new Vect(canvas_elem.width-25-60, 27))
    ]);

    this.count = 9;
    this.style.font = '28px sans-serif';
    this.style.fillStyle = '#333';
}
Score.prototype = new Text();
Score.prototype.constructor = Text;
Score.prototype.update_text = function()
{
    this.set_text(this.count);
}
Score.prototype.increment = function(is_bonus)
{
    var incr = 0;
    if (is_bonus)
    {
        incr = this.INCR_VAL_BONUS;
    }
    else
    {
        incr = this.INCR_VAL;
    }
    this.count += incr;

    this.update_text();

    return incr;
}
Score.prototype.decrement = function()
{
    this.count -= this.INCR_VAL;
    if (this.count < 0) this.count = 0;
    this.update_text();
}

window.Score = Score;

})(window);
