(function(window, undefined){
	"use strict";

var Bad = function(image, group)
{
	Sprite.apply(this, [
		image,
		new Vect(
			mouse.pos.x,
			mouse.pos.y
		)
	]);
	
	this.group = group;
	
	var self = this;
	this.easing = new Ease(this, 700, {alpha:0},function()
	{
		self.remove.apply(self);
	});
}
Bad.prototype = new Sprite();
Bad.prototype.constructor = Sprite;
Bad.prototype.remove = function(canvas)
{
	this.group.splice(this.group.indexOf(this), 1);
}
Bad.prototype.update = function(delta)
{
	if (this.easing) this.easing.update(delta);
}

window.Bad = Bad;

})(window);
